Bug 1270564 - [abrt] gdb: dump_core(): gdb killed by SIGABRT
[abrt] gdb: dump_core(): gdb killed by SIGABRT
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Kratochvil
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:bf3ef9266883a16e9a8b9845671...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-11 05:26 EDT by smjert30
Modified: 2015-11-01 16:52 EST (History)
6 users (show)

See Also:
Fixed In Version: gdb-7.10-29.fc23 gdb-7.9.1-20.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-31 22:39:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (45.93 KB, text/plain)
2015-10-11 05:26 EDT, smjert30
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-11 05:26 EDT, smjert30
no flags Details
File: core_backtrace (11.33 KB, text/plain)
2015-10-11 05:26 EDT, smjert30
no flags Details
File: dso_list (15.50 KB, text/plain)
2015-10-11 05:26 EDT, smjert30
no flags Details
File: environ (1.67 KB, text/plain)
2015-10-11 05:26 EDT, smjert30
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-11 05:26 EDT, smjert30
no flags Details
File: maps (50.92 KB, text/plain)
2015-10-11 05:26 EDT, smjert30
no flags Details
File: mountinfo (3.13 KB, text/plain)
2015-10-11 05:26 EDT, smjert30
no flags Details
File: namespaces (85 bytes, text/plain)
2015-10-11 05:26 EDT, smjert30
no flags Details
File: open_fds (1.35 KB, text/plain)
2015-10-11 05:26 EDT, smjert30
no flags Details
File: proc_pid_status (1004 bytes, text/plain)
2015-10-11 05:26 EDT, smjert30
no flags Details
File: var_log_messages (284 bytes, text/plain)
2015-10-11 05:26 EDT, smjert30
no flags Details
File: GDBCrashSrc.tar.xz (2.29 KB, application/octet-stream)
2015-10-11 05:26 EDT, smjert30
no flags Details

  None (edit)
Description smjert30 2015-10-11 05:26:21 EDT
Description of problem:
Stepping C++ source code of my project inside QtCreator 3.5.0.
The program is compiled with Clang 3.5.0 in Release With Debug Info.
GDB crashes when trying to step over SDL_PollEvent call, only when done inside QtCreator, if gdb is launched via command line the crash doesn't happen.

I can provide the source code if needed.

Version-Release number of selected component:
gdb-7.9.1-19.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /bin/gdb -i mi --tty=/tmp/smjert/QtCreator.aF6795
crash_function: dump_core
executable:     /usr/bin/gdb
global_pid:     8494
kernel:         4.1.10-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 dump_core at ../../gdb/utils.c:577
 #3 internal_vproblem at ../../gdb/utils.c:785
 #4 internal_verror at ../../gdb/utils.c:811
 #5 internal_error at ../../gdb/common/errors.c:55
 #6 register_size at ../../gdb/regcache.c:174
 #7 read_frame_register_value at ../../gdb/findvar.c:670
 #8 address_from_register at ../../gdb/findvar.c:785
 #9 execute_stack_op at ../../gdb/dwarf2expr.c:933
 #10 dwarf_expr_eval at ../../gdb/dwarf2expr.c:363
 #11 dwarf2_evaluate_loc_desc_full at ../../gdb/dwarf2loc.c:2215

Potential duplicate: bug 907028
Comment 1 smjert30 2015-10-11 05:26:26 EDT
Created attachment 1081772 [details]
File: backtrace
Comment 2 smjert30 2015-10-11 05:26:27 EDT
Created attachment 1081773 [details]
File: cgroup
Comment 3 smjert30 2015-10-11 05:26:29 EDT
Created attachment 1081774 [details]
File: core_backtrace
Comment 4 smjert30 2015-10-11 05:26:31 EDT
Created attachment 1081775 [details]
File: dso_list
Comment 5 smjert30 2015-10-11 05:26:33 EDT
Created attachment 1081776 [details]
File: environ
Comment 6 smjert30 2015-10-11 05:26:34 EDT
Created attachment 1081777 [details]
File: limits
Comment 7 smjert30 2015-10-11 05:26:37 EDT
Created attachment 1081778 [details]
File: maps
Comment 8 smjert30 2015-10-11 05:26:38 EDT
Created attachment 1081779 [details]
File: mountinfo
Comment 9 smjert30 2015-10-11 05:26:40 EDT
Created attachment 1081780 [details]
File: namespaces
Comment 10 smjert30 2015-10-11 05:26:41 EDT
Created attachment 1081781 [details]
File: open_fds
Comment 11 smjert30 2015-10-11 05:26:43 EDT
Created attachment 1081782 [details]
File: proc_pid_status
Comment 12 smjert30 2015-10-11 05:26:44 EDT
Created attachment 1081783 [details]
File: var_log_messages
Comment 13 smjert30 2015-10-11 05:26:46 EDT
Created attachment 1081784 [details]
File: GDBCrashSrc.tar.xz
Comment 14 smjert30 2015-10-11 05:29:53 EDT
(In reply to smjert30 from comment #13)
> Created attachment 1081784 [details]
> File: GDBCrashSrc.tar.xz

This is part of my source code, the necessary bits, that makes gdb crash.
Comment 15 Jan Kratochvil 2015-10-12 13:39:44 EDT
It is invalid DWARF generated by clang; but sure GDB should not crash on it:
 <3><22b2>: Abbrev Number: 69 (DW_TAG_variable)
    <22b3>   DW_AT_location    : 7 byte block: 92 ff ff ff ff f 0       (DW_OP_bregx: 4294967295 (r-1) 0)
    <22bb>   DW_AT_name        : (indirect string, offset: 0x2a36): texture_data
    <22bf>   DW_AT_decl_file   : 6
    <22c0>   DW_AT_decl_line   : 56
    <22c1>   DW_AT_type        : <0x1d3>
Comment 16 Jan Kratochvil 2015-10-12 15:27:00 EDT
[patch] Fix internal error on DW_OP_bregx(-1)
https://sourceware.org/ml/gdb-patches/2015-10/msg00166.html
Comment 17 Fedora Update System 2015-10-12 16:23:59 EDT
gdb-7.9.1-20.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-7113eaf84e
Comment 18 Fedora Update System 2015-10-13 14:20:52 EDT
gdb-7.9.1-20.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gdb'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-7113eaf84e
Comment 19 Fedora Update System 2015-10-13 22:13:27 EDT
gdb-7.10-29.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gdb'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-5087833b90
Comment 20 Fedora Update System 2015-10-31 22:39:10 EDT
gdb-7.10-29.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2015-11-01 16:52:15 EST
gdb-7.9.1-20.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.